Results 1 to 5 of 5

Thread: Invalid Repository

  1. #1

    Default Invalid Repository

    I have been a Fedora user for a few years and wanted something more stable so removed Fedora and installed SUSE on my desktop. I have been trying to run a zypper upgrade be keep getting invalid repository errors. I have tried to remove these repositories via yast, but cannot. Is this expected from a new install? one reason I went with OpenSUSE was to make use of the hypervisor and I have not had any luck with this either. I also tried VirtualBox and again I have not been able to get that installed and working either. It's been a frustration day to say the least.

    Type 'zypper help' to get a list of global options and commands.
    linux-i9kq:~ # zypper update
    Retrieving repository 'openSUSE-Tumbleweed-Non-Oss' metadata ...........................................................................................................................................................................................................[error]
    Repository 'openSUSE-Tumbleweed-Non-Oss' is invalid.
    [repo-non-oss|http://download.opensuse.org/tumbleweed/repo/non-oss/] Valid metadata not found at specified URL
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Skipping repository 'openSUSE-Tumbleweed-Non-Oss' because of the above error.
    Retrieving repository 'openSUSE-Tumbleweed-Oss' metadata ...............................................................................................................................................................................................................[error]
    Repository 'openSUSE-Tumbleweed-Oss' is invalid.
    [repo-oss|http://download.opensuse.org/tumbleweed/repo/oss/] Valid metadata not found at specified URL
    Please check if the URIs defined for this repository are pointing to a valid repository.
    Skipping repository 'openSUSE-Tumbleweed-Oss' because of the above error.
    Loading repository data...
    Reading installed packages...


  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,326
    Blog Entries
    15

    Default Re: Invalid Repository

    Hi
    More than likely the repository mirror your pointing to is still syncing (common thing for Tumbleweed), be paitient and try again in a few hours, or find a mirror closer to your locale and change your URL from download.opensuse.org;

    http://mirrors.opensuse.org/
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,326
    Blog Entries
    15

    Default Re: Invalid Repository

    Hi
    Re hypervisor, I use qemu/kvm without issues, assuming your cpu supports this?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  4. #4

    Default Re: Invalid Repository

    malcolmlewis

    Thank you for the reply. Does this look correct? My CPU is an Intel e8500 3.16GHz. I do not over clock. Will this support qemu/kvm? I do like to use virtualbox to run GNS3, but would load windoz if I had too.


    linux-i9kq:~ # zypper repos
    # | Alias | Name | Enabled | GPG Check | Refresh
    --------------------+---------------------+-----------------------------+-----------------------+----------------------------+--------
    1 | Google-Chrome | Google-Chrome | Yes | ( p) Yes | No
    2 | google-chrome | google-chrome | Yes | (r ) Yes | Yes
    3 | openSUSE-20151113-0 | openSUSE-20151113-0 | Yes | (r ) Yes | No
    4 | repo-debug | openSUSE-Tumbleweed-Debug | No | ---- | Yes
    5 | repo-non-oss | openSUSE-Tumbleweed-Non-Oss | Yes | (r ) Yes | Yes
    6 | repo-oss | openSUSE-Tumbleweed-Oss | Yes | (r ) Yes | Yes
    7 | repo-source | openSUSE-Tumbleweed-Source | No | ---- | Yes
    8 | repo-update | openSUSE-Tumbleweed-Update | Yes | (r ) Yes | Yes

    My Workstation:
    case: Cool Master 932
    mother board: ASUS p5e3 Pro
    processor: Intel e8500 3.16 GHz
    RAM: 8GB's Corsair DDR3 1600
    power supply: Corair 850W
    video card: DIAMOND R9 270X
    Hard drive: OS is ran from a 256GB SSD + two 500GB HD's for internal storage (of course, everything is saved to out a NAS).


  5. #5
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    26,326
    Blog Entries
    15

    Default Re: Invalid Repository

    Hi
    I would disable the install media (repo uri #3) then run a zypper ref and see how things go.

    Is virtualization enabled in your system BIOS?

    If you want to try kvm, install;
    Code:
    zypper in qemu-kvm libvirt virt-manager
    modprobe kvm_intel
    systemctl start libvirtd
    exit
    virt-manager
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •